窗外思雨夜

态度 坚持 万事起于忽微 量变引起质变

myeclipse 8.5 struts2 搭建成功后,相关问题。

为什么struts2 搭建成功后,还会继续报错。我当时是用myeclipse 8.5 ,直接用struts2的。弄了好久,后来我发现,好像不兼容。出现错误,真是头痛。

public class JSONAction  extends ActionSupport implements ServletRequestAware,ServletResponseAware{

}

报错:要把 JSONAction 变成抽象类,或者继承ServletRequestAware,ServletResponseAware的接口。

跟别人的一模一样,但是为什么就会出错呢。

好了,进入主题。

要用低版本的struts2 这里我用2.1.6版本,后来就没报错了。问题解决。




阅读更多
版权声明:本文为博主原创文章,欢迎大家转载,本文博客链接: http://blog.csdn.net/a136558 作者:xgl,转载请注明. https://blog.csdn.net/a136558/article/details/49947543
上一篇第一天开始写博客
下一篇学安卓之路
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭